ZenLib

Public Types | Static Public Member Functions | List of all members
ZenLib::Dir Class Reference

Directory manipulation. More...

`#include <Dir.h>`

## Public Types
enum | dirlist_t { Nothing = 0x00 , Include_Files = 0x01 , Include_Dirs = 0x02 , Include_Hidden = 0x04 , Parse_SubDirs = 0x10 }
| Options for Open method. More...

## Static Public Member Functions
static ZtringList | GetAllFileNames (const Ztring &Dir_Name, dirlist_t Options=(dirlist_t)(Include_Files|Parse_SubDirs))
static bool | Exists (const Ztring &Dir_Name)
static bool | Create (const Ztring &Dir_Name)

## Detailed Description

Directory manipulation.

## Member Enumeration Documentation

## ◆ dirlist_t

enum ZenLib::Dir::dirlist_t

Options for Open method.

Enumerator
Nothing |
Include_Files | Include files.
Include_Dirs | Include directories.
Include_Hidden | Include hidden files.
Parse_SubDirs | Parse subdirectories.

## Member Function Documentation

## ◆ Create()

static bool ZenLib::Dir::Create | ( | const Ztring & | Dir_Name | ) |
| static

## ◆ Exists()

static bool ZenLib::Dir::Exists | ( | const Ztring & | Dir_Name | ) |
| static

## ◆ GetAllFileNames()

static ZtringList ZenLib::Dir::GetAllFileNames | ( | const Ztring & | Dir_Name,
|  | dirlist_t | Options = `(dirlist_t)(Include_Files|Parse_SubDirs)`
| ) |  |
| static

The documentation for this class was generated from the following file:

- Dir.h